LogConfigurationException (Apache Commons Logging 1.4.0 API)
Description: declaration: package: org.apache.commons.logging, class: LogConfigurationException

Package org.apache.commons.logging

# Class LogConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.logging.LogConfigurationException

All Implemented Interfaces:
  `Serializable`

public class LogConfigurationException extends RuntimeException
An exception that is thrown only if a suitable `LogFactory` or `Log` instance cannot be created by the corresponding factory methods.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Throwable`
  `cause`
  Deprecated.
  Use `Throwable.getCause()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogConfigurationException()`
  Constructs a new exception with `null` as its detail message.
  `LogConfigurationException(String message)`
  Constructs a new exception with the specified detail message.
  `LogConfigurationException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `LogConfigurationException(Throwable cause)`
  Constructs a new exception with the specified cause and a derived detail message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cause

    @Deprecated protected Throwable cause
    Deprecated.
    Use `Throwable.getCause()`.
    The underlying cause of this exception.

- ## Constructor Details

  - ### LogConfigurationException

    public LogConfigurationException()
    Constructs a new exception with `null` as its detail message.

  - ### LogConfigurationException

    public LogConfigurationException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - The detail message

  - ### LogConfigurationException

    public LogConfigurationException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - The detail message
      `cause` - The underlying cause

  - ### LogConfigurationException

    public LogConfigurationException(Throwable cause)
    Constructs a new exception with the specified cause and a derived detail message.
    Parameters:
      `cause` - The underlying cause